export interface IMusicGroup {
    /** 乐团名称 */
    name: string
    /** 乐团ID */
    id: string
}
/** 年级分布 */
export interface IGradeDistribution {
  /** 年级 */
  grade: string;
  /** 在读人数 */
  studentNum: number;
}

/** 乐团年级分布 */
export interface IMusicGradeDistribution {
  /** 年级 */
  grade: string;
  /** 乐团名称 */
  musicGroupName: string;
  /** 在读人数 */
  studentNum: number;
  /** 声部编号 */
  subjectId: number;
  /** 声部名称 */
  subjectName: string;
}

/** 学员出勤 */
export interface IStudentAttendance {
  /** 出勤率 */
  attendanceRate: number
  /** 迟到人数 */
  lateNum: number
  /** 请假人数 */
  leaveNum: number
  /** 正常人数 */
  normalNum: number
  /** 总人数 */
  totalNum: number
  /** 旷课人数 */
  truantNum: number
  [_key: string]: any
}

/** 学员练习 */
export interface IStudentLessons {
  /** 实际提交人数 */
  actualNum: number;
  /** 提交率 */
  commitRate: number;
  /** 应交人数 */
  expectNum: number;
  /** 合格提交人数 */
  passNum: number;
  /** 合格率 */
  passRate: number;
}

/** 声部分布 */
export interface ISubjectDistribution {
  /** 在读人数 */
  studentNum: number;
  /** 声部 */
  subjectName: string;
}

export interface ISubjectGradeDistribution {
  /** 年级 */
  grade: string;
  /** 在读人数 */
  studentNum: number;
  /** 声部编号 */
  subjectId: number;
  /** 声部名称 */
  subjectName: string;
}

