import { browser } from '@/helpers/utils';
import { defineComponent } from 'vue';
import styles from './privacy.module.less';
import MHeader from '@/components/m-header';

export default defineComponent({
  name: 'protocol-privacy',
  data() {
    return {
      name: '用户隐私协议'
    };
  },
  render() {
    return (
      <>
        {browser().isApp && <MHeader />}
        <div class={styles.container}>
          <h2 style="font-size: 16px;font-weight: bold;text-align: center">
            《{this.name}隐私协议》
          </h2>
          <strong>发布日期：2019-11-22</strong>
          <br />
          <strong>最新更新日期：2021-05-24</strong>
          <br />
          管乐迷（下称“管乐迷”或“本公司”）尤其重视用户（下称“用户”或“您”）的隐私和个人信息保护。《隐私保护政策》（下称“本政策”）旨在向用户说明本公司如何收集、使用、处理、存储用户个人信息以及为用户提供访问、删除、更正等处理事宜。
          <br />
          <p class={styles.strong}>
            在使用本公司提供的软件及相关服务前，请您务必仔细阅读并充分理解本政策，尤其是以加粗、下划线等标识的条款。当您使用本公司提供的软件及相关服务时，即表示您已经同意本公司按照本政策来收集、使用、共享和保护您的相关个人信息；用户不同意本政策的任何条款或内容的，请立即停止使用本公司提供的软件及相关服务。
          </p>
          <p class={styles.strong}>【针对未成年用户及其监护人的特别提示】</p>
          <p class={styles.strong}>
            如果您是未满18周岁的未成年人，应在您的监护人的陪同下阅读本政策，并在监护人的解释和指导下理解本政策，在使用本公司提供的软件及服务或者提交信息之前获得您的监护人的指导并获得同意。未成年用户或者未成年用户的监护人点击同意本政策，或者未成年用户使用本公司提供的软件及服务，或者提交个人信息的，即表示未成年用户已经获得其监护人的同意，即监护人同意本公司按照本政策收集、使用、分享、转让、披露和存储未成年用户的个人信息。如果未成年用户或其监护人不同意本政策的任何条款或内容的，请立即停止使用本公司提供的软件及相关服务。
          </p>
          <p class={styles.strong}>
            如果您是未满14周岁的儿童用户，请务必通知您的监护人并共同阅读本公司的《儿童个人信息保护规则》，并务必在使用本公司提供的软件及服务或者提交信息之前获得监护人的指导并获得同意。
          </p>
          本公司收集、使用、共享和保护用户的个人信息，是在遵守国家法律法规规定的前提下，仅出于本政策所述的以下目的，遵循正当必要、知情同意、目的明确、安全保障、依法利用的原则收集、存储、使用、转移、披露儿童个人信息。
          <br />
          本公司收集、使用、共享和保护用户的个人信息，是在遵守国家法律法规规定的前提下，仅出于本政策所述的以下目的，遵循正当必要、知情同意、目的明确、安全保障、依法利用的原则收集、存储、使用、转移、披露儿童个人信息。
          <br />
          <h2>一、本公司收集和使用儿童用户个人信息</h2>
          <p>
            个人信息是指以电子或者其他方式记录的能够单独或者与其他信息结合识别特定自然人身份或者反映特定自然人活动情况的各种信息。
          </p>
          1. 用户账户信息：
          <br />
          用户使用本公司提供的软件及相关服务前，需要在本公司提供的软件注册账户，此时我们需要您主动填写和提供注册信息，包括姓名、性别、出生日期、所在学校、所在班级、手机号码、家庭住址、创建的用户名（ID）等信息，这些信息是本公司为用户提供考勤、教学、排课、陪练、打分等服务所必要的，如果您不提供给本公司，您可能无法使用本公司提供的软件或相关服务。
          <br />
          2. 用户使用本公司提供的软件及相关服务信息：
          <br />
          用户通过电脑、平板电脑或手机等智能设备访问本公司提供的软件及其相关服务时，服务器会自动记录用户的登录IP地址、网络服务商、接入网络的方式、类型及状态、网络质量数据、使用的语言、设备类别、设备型号、设备识别码、操作系统、分辨率、访问日期及时间长度等信息，以及用户登录和使用本公司提供的软件及相关服务时，用户使用的设备所在的地理位置信息。
          <br />
          用户使用本公司提供的软件及相关服务参加直播教学、录播教学等课程时，我们会收集用户提交的信息以及系统自动记录和存储的信息，包括但不限于视频、录像、音频、照片、截图以及这些信息产生时对应的日期、时间、地点等。
          <br />
          3. 交易信息和付款信息：
          <br />
          用户使用本公司提供的软件及相关服务的过程中，购买课程或其他服务需要向本公司进行支付，
          <span class={styles.strong}>
            本公司建议由未成年用户的监护人完成支付交易的整个过程，如果支付交易是由未成年用户进行，则应当在向本公司提供支付信息之前，获得其监护人的同意、授权和指导。
          </span>
          本公司会收集支付交易时使用的支付工具、支付账户、银行卡号、开户银行、支付状态信息，支付日期等信息。
          <span class={styles.strong}>
            如果您进行支付交易时直接跳转至第三方支付页面的，该第三方将会直接收集您的支付信息，此时您的支付信息的收集、使用、存储等规则将遵循该第三方的隐私政策，请您注意事先仔细查阅。
          </span>
          如果您符合本公司相关服务协议里约定的退费情形，并要求退费时，本公司需要您提供姓名、银行卡号、开户银行等信息。
          <br />
          4.
          用户因请假、打卡签到或其他原因通过电话、电子邮件或其他线上或线下渠道与本公司取得联系时，本公司会收集和处理该用户向本公司提供或者反馈的信息，用户的姓名、联系方式，以及本公司为了处理该用户的请求而必须向其确认的事项，并可能会保留与用户的通话、通信记录，以便本公司及时与该用户联系和沟通并处理。
          <br />
          5.
          本公司还可能为了改进本公司服务，提高教学和服务质量等需要，用户联系和沟通，并在此过程中收集沟通时提供的相关信息。
          <br />
          6.
          本公司在教学和服务过程中必要时向用户发出与教学或服务有关的通知或推送。
          <br />
          7.
          检测和防止欺诈和IT安全威胁所需的信息：本公司收集检测，调查和预防欺诈，作弊、IT安全威胁、网络漏洞、黑客攻击、计算机病毒和其他违反用户协议和适用法律的行为所需的某些信息。此数据仅用于检测，调查，预防以及在适用的情况下对此类行为进行处理，并且仅在此目的所需的最短时间内存储。如果披露信息会影响本公司检测、调查、防止此类行为的机制，则可能无法向您披露为此目的而存储的特定信息。
          <br />
          8.
          如本公司要向用户的个人信息用于本政策未载明的其他用途时，将事先获得用户的同意；如本公司将基于特定目的而收集的用户个人信息用于其他目的时，将事先获得用户的同意。
          <br />
          9.
          为了保障您的账号安全、交易安全以及系统运行安全，满足法律法规和我们协议规则的相关要求，在您使用我们的产品/服务过程中，经您授权我们会获取您的设备信息，包括您使用的设备属性、连接和状态信息，例如设备型号、设备标识符（如IMEI/androidID/IDFA/OPENUDID/GUID/OAID、SIM卡IMSI、ICCID信息等）、设备MAC地址、软件列表、电信运营商等软硬件特征信息。
          <br />
          10. 我们可能间接收集的个人信息
          <br />
          您可以选择授权我们收集和使用个人信息的场景，为向您提供个性化的服务，您可以选择使用我们提供的拓展功能，我们会在符合法律规定并根据您具体授权的情况下收集并使用如下信息。这类信息将在您选择的具体功能和业务场景中进行收集，如果您不提供这些信息，不会影响您使用管乐迷的基本功能。
          <br />
          10.1 您需要授权我们收集和使用个人信息的场景
          <br />
          10.1.1 基于相机授权的拓展功能
          <br />
          您可以选择开启系统的相机权限，通过使用拍照、录视频等功能授权管乐迷访问您的相机，以便于您通过拍摄照片或录制视频等方式发布内容，如果您需要录制并发布有声视频时，您还需开启麦克风权限。我们会收集您上传发布的上述信息，此项功能您可以在系统权限中关闭，一旦关闭您将可能无法通过拍摄图片、视频等方式进行更换头像、上传作业等，但不会影响您享受管乐迷的基本功能。
          <br />
          10.1.2 基于相册授权的拓展功能
          <br />
          您可以选择开启系统的相册权限，通过主动上传图片、视频等方式授权我们访问您的相册，以便于您通过上传照片或上传视频等方式发布内容。我们会收集您选择上传发布的上述信息，此项功能您可以在系统权限中关闭，一旦关闭您将可能无法通过上传图片、视频等方式进行更换头像、上传作业等，但不会影响您享受管乐迷的基本功能。
          <br />
          10.1.3 基于麦克风授权的拓展功能
          <br />
          您可以选择开启系统的麦克风权限，使用语音技术来实现录制音频作业等语音功能。我们会收集您在使用录音功能中录入的语音信息用于老师查看音频作业。此项功能您可以在系统权限中关闭，一旦关闭您将可能无法使用音频作业功能，但不会影响您享受管乐迷的基本功能。
          <br />
          10.2 其他
          <br />
          如果我们将信息用于本政策未载明的其他用途，或者将基于特定目的收集而来的信息用于其他目的时，会单独征求您的授权同意。
          <br />
          10.3 征得同意的例外
          <br />
          请您知悉，以下情形中，我们收集、使用个人信息无需征得您的授权同意：
          <br />
          10.3.1 与国家安全、国防安全有关的；
          <br />
          10.3.2 与公共安全、公共卫生、重大公共利益有关的；
          <br />
          10.3.3 与犯罪侦查、起诉、审判和判决执行等有关的；
          <br />
          10.3.4
          出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；
          <br />
          10.3.5 所收集的个人信息是个人信息主体自行向社会公众公开的；
          <br /> 10.3.6
          从合法公开披露的信息中收集的您的个人信息的，如合法的新闻报道、政府信息公开等渠道；但是您明确拒绝或者处理该信息侵害您重大利益的除外。
          <br />
          10.3.7 根据您的要求签订合同所必需的；
          <br />
          10.3.8
          用于维护所提供的产品与/或服务的安全稳定运行所必需的，例如发现、处置产品与/或服务的故障；
          <br />
          10.3.9 为合法的新闻报道所必需的；
          <br /> 10.3.10
          学术研究机构基于公共利益开展统计或学术研究所必要，且对外提供学术研究或描述的结果时，对结果中所包含的个人信息进行去标识化处理的；
          <br />
          10.3.11 法律法规规定的其他情形。
          <br />
          请注意，单独或与其他信息相结合无法识别您的身份或者与您直接建立联系的信息，不属于个人信息。如果我们将单独无法与任何特定个人建立联系的信息与其他信息结合用于识别自然人个人身份，或者将其与个人信息结合使用，则在结合使用期间，此类信息将被视为个人信息。
          <br />
          10.4 设备权限调用
          <br />
          为确保相关业务功能的正常实现，我们需要根据具体的使用场景调用对应的必要权限，并在调用前向您弹窗询问，具体的权限调用说明请见下表：
          <br />
          <table cellspacing="0" cellpadding="0">
            <tr>
              <th>设备权限</th>
              <th>使用目的</th>
              <th>是否询问</th>
              <th>是否可关闭</th>
            </tr>
            <tr>
              <td>相机</td>
              <td>用于拍照、上传图片、录制视频</td>
              <td>用户主动拍照、上传图片、录制视频时询问</td>
              <td>是</td>
            </tr>
            <tr>
              <td>麦克风</td>
              <td>用户语音消息、音频作业、视频作业</td>
              <td>用户发起语音输入前询问</td>
              <td>是</td>
            </tr>
            <tr>
              <td>照片</td>
              <td>用于写入和读取用户相册信息</td>
              <td>用户主动上传前询问</td>
              <td>是</td>
            </tr>
          </table>
          您可以在设备的设置中选择关闭部分或者全部权限，这可能导致对应的业务功能无法实现或者无法达到预期效果。
          <br />
          本公司收集用户的个人信息后，可能会通过技术手段对已经收集的用户个人信息进行匿名化处理，使得用户个人信息主体无法被识别，且处理后的信息不能被复原，此时经过匿名化处理后的信息不再属于用户个人信息。本公司可能会将匿名化处理信息用于测试本公司的IT系统，研究，数据分析，改进服务，以及开发新服务、新产品和功能，以及向第三方分享、转让、披露，此时无需另行获得用户的授权同意。
          <br />
          <h2>二、本公司共享、转让、披露用户个人信息 </h2>
          1. 共享：
          <br /> 1.1在获取用户的明确同意或授权的情况共享；
          <br />
          1.2根据法律法规规定，或者按照政府主管部门的强制性要求；
          <br />
          1.3为了向用户提供教学或服务，本公司可能会与关联方分享，但是本公司只会分享必要的个人信息，且此时受用户服务协议或本隐私政策中所声明的收集和使用之目的的约束，本公司的关联方如要改变个人信息的处理目的，将再次征求用户的授权同意；
          <br />
          1.4本公司还可以与提供与本公司提供的软件及相关服务相关的必要功能和支持服务的第三方（例如，提供或处理支付业务、网络定位服务、推送通知、电子邮件服务、税务和会计服务、分析服务）共享用户的个人信息数据，此时本公司仅会处于合法、正当、必要、特定、明确的目的共享用户的个人信息，并且只会共享提供服务所必要的信息，且此时本公司会与这些第三方主体签订保密协议，要求这些第三方主体按照相关法律法规规定、本政策及其他任何相关的保密和安全措施保护用户的个人信息。您可以通过以下链接查看第三方的数据使用和保护规则。
          <br />
          管乐迷接入第三方SDK目录 <br />
          <table cellspacing="0" cellpadding="0">
            <tr>
              <th>使用目的</th>
              <th>第三方名称</th>
              <th>涉及个人信息</th>
              <th>第三方官网链接</th>
            </tr>
            <tr>
              <td rowspan={5}>根据用户机型，为用户提供通知信息推送功能</td>
              <td>极光</td>
              <td>设备信息</td>
              <td>https://www.jiguang.cn/license/privacy</td>
            </tr>
            <tr>
              <td>华为</td>
              <td>设备信息</td>
              <td>
                https://developer.huawei.com/consumer/cn/service/hms/pushservice.html
              </td>
            </tr>
            <tr>
              <td>小米</td>
              <td>设备信息</td>
              <td>https://dev.mi.com/console/doc/detail?pId=1822</td>
            </tr>
            <tr>
              <td>VIVO</td>
              <td>设备信息</td>
              <td>https://www.umeng.com/page/policy</td>
            </tr>
            <tr>
              <td>OPPO</td>
              <td>设备信息</td>
              <td>https://open.oppomobile.com/wiki/doc#id=10194</td>
            </tr>
            <tr>
              <td>统计分析</td>
              <td>友盟SDK</td>
              <td>设备信息</td>
              <td>https://open.oppomobile.com/wiki/doc#id=10194</td>
            </tr>
          </table>
          2. 转让：
          <br /> 2.1在获取用户的明确同意的情况下转让；
          <br />
          2.2本公司发生合并、收购、资产转让或类似交易或者破产清算时，用户信息（包括用户的个人信息）可能会被转让给相关方，此时本公司会要求这些受让方继续遵守本政策的约束，如果这些受让方变更用户信息的使用目的时，应重新获得用户的同意和授权；
          <br />
          本公司向第三方转让用户个人信息时，将自行或委托第三方机构进行安全评估。
          <br />
          3. 披露：
          <br /> 3.1在获取用户的要求或明确同意的情况下披露；
          <br />
          3.2根据法律法规规定、法院或政府主管部门的强制性要求时；
          <br />
          3.3本公司发生资本市场活动（例如IPO等）时，可能需要接受其他主体的尽职调查，此时本公司可能会根据尽职调查的需要将用户的个人信息提供给必要的主体，但本公司会与实施调查的主体签订保密协议，要求这些第三方主体按照相关法律法规规定、本政策及其他任何相关的保密和安全措施来保护用户的个人信息。
          <br />
          4.
          本公司在下列情形时，无需获得用户的授权同意，即可分享、转让、披露用户的信息：
          <br />
          4.1与国家安全、国防安全相关的；
          <br />
          4.2与公共安全、公共卫生、重大公共利益相关的；
          <br />
          4.3与犯罪侦查、起诉、审判和判决执行等司法或行政执法相关的；
          <br />
          4.4为了维护用户或其他个人的生命和财产等重大合法权利但又很难得到同意的情况下；
          <br />
          4.5用户自行向社会公开的信息；
          <br />
          4.6从合法公开渠道获得的信息，如新闻报道、政府信息公开等渠道。
          <br />
          <h2>三、用户个人信息的保护、存储、跨境传输</h2>
          1.
          本公司会努力采取各种符合业界标准的物理、电子和管理方面的安全措施来保护用户的个人信息，防止用户的个人信息遭到未经授权访问、公开披露、使用、修改、损坏或丢失。本公司会采取一切合理可行的措施，保护用户的个人信息。
          <br />
          2.
          本公司会采取加密等措施存储用户的个人信息，确保信息安全，并以最小授权为原则对本公司工作人员严格设置信息访问权限，控制用户个人信息知悉范围。工作人员需要访问用户个人信息的，应当经过本公司用户个人信息保护负责人或者其授权的管理人员审批，并且记录访问情况，采取技术措施，避免违法复制、下载用户个人信息。
          <br />
          3.
          本公司将会采取一切合理可行的措施，确保未收集无关的用户个人信息，并只会在达成本政策所述目的所需的期限内存储和保留用户的个人信息，不会超过本政策所述目的所必需的期限，除非需要延长保留期或受到法律的允许。
          <br />
          4.
          互联网并非绝对安全的环境，而且电子邮件、即时通讯、社交软件或其他服务软件等与其他用户交流的方式无法确定是否完全加密，因此本公司建议用户使用此类工具时注意保护信息安全，并使用复杂密码，协助本公司保证用户的账户安全。
          <br />
          5.
          互联网环境并非百分之白安全，本公司将尽力确保或担保用户发送给本公司的任何信息的安全性。如果本公司的物理、技术，或管理防护设施遭到破坏，导致信息被非授权访问、公开披露、篡改，或破坏，导致您的合法权益受损，本公司将承担相应的法律责任。
          <br />
          6.
          本公司发现用户个人信息发生或可能发生泄露、毁损、灭失的，本公司将将立即启动应急预案，采取补救措施；造成或者可能造成严重后果的，会立即向有关主管部门报告，并将事件相关情况以邮件、信函、电话、推送通知等方式告知受影响的用户，难以逐一告知的，将会采取合理、有效的方式发布相关警示信息。包括但不限于安全事件的基本情况和可能的影响、本公司已采取或将要采取的处置措施、用户可自主防范和降低风险的建议、对用户的补救措施等。同时，本公司还将按照监管部门要求，主动上报个人信息安全事件的处置情况。
          <br />
          7.
          本公司将用户的个人信息存储于中华人民共和国境内。如需跨境传输，本公司将依法征得用户的授权同意。
          <br />
          8.
          用户提供的上述信息，将在该用户使用本服务期间持续授权本公司使用。本公司停止运营软件或服务的，将会立即停止收集用户个人信息，并删除持有的用户个人信息，并将停止运营的通知及时通知用户；当该用户注销账号时，本公司将停止使用并删除上述信息。
          <br />
          <h2>四、用户的权利及其实现的途径和方法</h2>
          1. 更正
          <br />
          用户或一旦发现本公司收集、存储、使用、披露的用户个人信息有错误的，有权要求本公司予以更正，本公司将会及时采取措施予以更正。
          <br />
          2. 删除
          <br />
          用户要求本公司删除其收集、存储、使用、披露的用户个人信息时，本公司将会及时采取措施予以删除，包括但不限于以下情形：
          <br />
          2.1本公司违反法律、行政法规的规定或者双方的约定收集、存储、使用、转移、披露用户个人信息的；
          <br />
          2.2本公司超出目的范围或者必要期限收集、存储、使用、转移、披露用户个人信息的；
          <br />
          2.3用户撤回授权同意的；
          <br />
          2.4用户通过注销等方式终止使用本公司提供的软件及其相关服务的。
          <br />
          当本公司决定相应用户的删除请求时，本公司还将同时通知从本公司获得用户个人信息的实体，并要求其及时删除，除非法律法规另有规定，或这些实体获得了用户的独立授权。
          <br />
          当用户从本公司的软件中删除信息后，本公司可能不会立即备份系统中删除相应的信息，但会在备份更新时删除这些信息。
          <br />
          3. 访问
          <br />
          用户有权访问该用户的个人信息，法律法规规定的例外情况除外。如果用户及其简化人希望访问、编辑、更改该用户的账户中的个人资料信息、更改密码、或关闭用户的账户等，均可以通过访问本公司提供的软件执行此类操作。如果用户无法通过本公司提供的软件访问这些个人信息，可以随时联系本公司。
          <br />
          4.
          在响应用户的上述请求时，为了保障安全，本公司可能要求提供书面请求，或以其他方式证明身份，本公司会验证用户身份后再处理该请求，并在30日内作出答复。在下列情形时，本公司无法响应用户的请求：
          <br />
          4.1与国家安全、国防安全直接相关的；
          <br />
          4.2与公共安全、公共卫生、重大公共利益直接相关的；
          <br />
          4.3与犯罪侦查、起诉、审判、执行等直接相关的；
          <br />
          4.4有充分的证据表明用户存在主观恶意或滥用权利的；
          <br />
          4.5响应用户的请求可能导致用户或者其他个人、组织的合法权益受到严重损害的；
          <br />
          4.6涉及商业秘密的。
          <br />
          <h2> 五、关于Cookie及同类技术</h2>
          为了确保本公司提供的软件及相关服务的正常运转，本公司会在用户的电脑或移动设备上存储名为Cookie的小数据文件。Cookie通常包含标识符、站点名称以及一些号码和字符。本公司不会将Cookie用于本政策所述目的之外的任何用途，用户可根据自己的偏好管理或删除Cookie，有关详情请参见AboutCookies.org。用户可以通过更改设置清除电脑或移动设备上保存的所有Cookie。
          <br />
          <h2>六、第三方链接及服务</h2>
          本政策仅适用于本公司收集的用户个人信息，本政策不适用于用户通过本公司提供的软件或服务而接入到第三方链接或服务时，该第三方收集和使用用户个人信息的行为及其结果，此时应适用该第三方链接或服务的隐私政策。
          <br />
          <h2>七、本政策的更新</h2>
          本公司可能会根据软件及其服务或教学的需要或者根据法律法规的规定修改本政策的全部或部分。如该等更新造成用户在本政策下权利的实质减少或重大变更的，本公司将在更新生效前通过网站公告、推送通知、弹窗提示或其他方式进行通知。用户如果不同意该等更新或变更的，可以选择停止使用本公司的软件及相关服务；如果用户继续使用本公司的软件及相关服务的，即表示用户已充分阅读、理解并同意受该等更新或变更后的本政策的约束。
          <br />
          <h2>八、本公司的联系方式</h2>
          用户如有任何问题、意见或者建议，除本政策页首所述的联系方式以外，还可以通过以下方式与本公司联系。
          <br />
          电子邮箱：dyme2002@dayaedu.com <br />
          联系电话：027-87718176
          <br />
          开发者：大雅乐盟(深圳)音乐传播股份有限公司
        </div>
      </>
    );
  }
});
