import { PropType, defineComponent } from 'vue';
import styles from './index.module.less';
import icontimer from '@/common/images/icon-timer.png';
import iconTeacher from '@/common/images/icon-teacher-default.png';
import iconIm from '@/common/images/icon-im.png';
import { Cell, Image, SkeletonAvatar, SkeletonParagraph } from 'vant';

export default defineComponent({
  name: 'schedule-manage-list-item',
  props: {
    status: {
      type: String as PropType<'success' | 'error'>,
      default: ''
    },
    item: {
      type: Object,
      default: () => ({})
    }
  },
  emits: ['goto'],
  setup(props, { emit }) {
    const item = props.item;
    return () => (
      <div class={styles.listItem}>
        <div class={styles.itemTop}>
          <SkeletonParagraph />
        </div>
        <Cell center label={item.subjectName || '长笛'}>
          {{
            icon: () => <SkeletonAvatar avatarSize={'1.28rem'} />,
            title: () => <SkeletonParagraph rowWidth="50%" />,
            label: () => <SkeletonParagraph rowWidth="30%" />,
          }}
        </Cell>
      </div>
    );
  }
});
