/** 审核状态 */
type IStatus = 'ING' | 'PASS' | 'REJECT';
/** 学员编号 */
type IReasonEnum =
  | 'GRADUATE'
  | 'NOT_INTERESTED'
  | 'TIME_CONFLICT'
  | 'FEELING_UNWELL'
  | 'OTHER';

/** 学员信息 */
interface IStudentInfo {
  /** 学员头像 */
  studentAvatar: string;
  /** 学员编号 */
  studentId: number;
  /** 学员名称 */
  studentName: string;
  /** 声部id */
  subjectId: number;
  /** 声部名称 */
  subjectName: string;
  /** im id */
  imGroupId?: string
}

/** 审核列表分页 */
export interface MusicGroupQuitPageDto extends IStudentInfo {
  /** 提交时间 */
  createTime?: string;
  /**  */
  musicGroupQuitId: number;
  /** 审核状态 */
  status: IStatus;
}

/** 退团详情 */
export interface MusicGroupQuitDetailDto extends IStudentInfo {
  /**提交时间 */
  createTime: string;
  /**退团id */
  musicGroupQuitId: number;
  /**学员编号 */
  reasonEnum: IReasonEnum;
  /** 审核原因 */
  schoolStaffAuditReason: string;
  /** 审核状态 */
  status: IStatus;
  /** 学员退团原因 */
  userComment: string;
  /** 乐团名称 */
  musicGroupName: string
}
