/** 学生信息管理 */
export interface IStudentManage {
  /** 实际出勤数*/
  actualAttendanceCount: number;
  /** 实际提交作业数*/
  actualSubmitCount: number;
  /** 迟到*/
  lateCount: number;
  /** 请假*/
  leaveCount: number;
  /** 正常出勤数*/
  normalAttendanceCount: number;
  /** 合格 */
  qualifiedCount: number;
  /** 应出勤数*/
  shouldAttendanceCount: number;
  /** 应提交作业数*/
  shouldSubmitCount: number;
  /** 学生头像 */
  studentAvatar: string;
  /** 学生ID */
  studentId: number;
  /** 学生姓名*/
  studentName: string;
  /** 旷课 */
  truancyCount: number;
  /** 不合格 */
  unqualifiedCount: number;
  /** 未提交 */
  unsubmitCount: number;
  /** 是否vip */
  vipFlag: boolean;
  /** 声部名称 */
  subjectName: string;
  /** 乐团ID */
  musicGroupIds: string;
}

/** 乐团 */
export interface IMusicGroup {
  /** 乐团ID */
  text: string;
  /** 乐团名称 */
  value: string;
  /** 乐团类型 */
  gradeType?: string
}

/** 声部 */
export interface ISubject {
  text: string;
  value: string;
}

export interface IStudentDetail extends IStudentManage {
  /** 艺术实践次数 */
  artPracticeCount: number;
  /** 班级 */
  currentClass: string;
  /** 年级 */
  currentGrade: string;
  /** 年级（数字表示） */
  currentGradeNum: number;
  /** 性别0女1男 */
  gender: number;
  /** 在团状态 在团 IN 退团 OUT 申请退团 APPLY_OUT 报名：APPLY 休学：QUIT_SCHOOL,可用值:IN,OUT,QUIT_SCHOOL,APPLY,APPLY_OUT */
  inGroupStatus: 'IN' | 'OUT' | 'APPLY_OUT' | 'APPLY' | 'QUIT_SCHOOL';
  /** 手机号 */
  phone: string;
  /** 隐私手机号 */
  phoneStr: string;
  /** 退团时间 */
  quitTime: string;
  /** 声部ID */
  subjectId: number;
  /** 机构ID */
  organId: number
}
